Issue 18109 - Pre-select default style name ("Untitled") in New Style dialogue for quicker replacement
Summary: Pre-select default style name ("Untitled") in New Style dialogue for quicker ...
Status: RESOLVED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: OOo 1.1 RC2
Hardware: PC All
: P5 (lowest) Trivial (vote)
Target Milestone: 4.1.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-10 17:48 UTC by anthonymerhi
Modified: 2014-01-08 08:31 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.0.1
Developer Difficulty: ---


Attachments
Patch to select the name of new style when new style dialog is opened (419 bytes, patch)
2013-12-08 16:17 UTC, hanya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description anthonymerhi 2003-08-10 17:48:21 UTC
Currently, when the user creates a new style (e.g., by right-clicking in the
Stylist and choosing 'New'), a style dialogue opens with the cursor at the start
of the Name field, which contains the default name "Untitled" and which is
unselected for editing.  In almost all cases, the user must delete this name
completely to enter her own style-name, which requires extra needless keystrokes
either to delete the default character-by-character or by selecting it first
then deleting it in one action.

Business requirement: The user should be able to begin entering the new
style-name as soon as the dialogue appears, without having to take extra steps
before entering the new name.

Proposal: When the style dialogue appears, pre-select the characters of the
default style-name so that the first key that the user types for the new name
will automatically delete the default name without extra keystrokes.
Comment 1 stefan.baltzer 2003-09-08 17:29:43 UTC
SBA: Reassigned to Bettina from the User Experience team for consideration.
Comment 2 ace_dent 2008-05-16 02:13:32 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 anthonymerhi 2008-05-18 23:27:25 UTC
This activity entry is my response to the request for feedback which was made in
the Grand Bug Squash, pre v3 e-mail.

As requested, I have downloaded and installed OO Beta 3.0.0 on GNU Debian, and
have observed the following:

- The capability requested in this issue is still not implemented. I believe
that this requirement is still valid for the same reason given in the original
request.
Comment 4 bettina.haberer 2010-05-21 15:02:29 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 5 Edwin Sharp 2013-12-08 14:02:35 UTC
Good enhancement.
Comment 6 hanya 2013-12-08 16:17:46 UTC
Created attachment 82054 [details]
Patch to select the name of new style when new style dialog is opened

After the initialization of the style dialog, it will be reset.
In the Reset method, the text of the name field is set again and loose 
the selection that selected in the initialization. 
To select the whole name inside the Reset method could be the way to fix this problem.
Comment 7 SVN Robot 2014-01-08 08:11:16 UTC
"hanya" committed SVN revision 1556461 into trunk:
#i18109# pre-select the name in new style dialog
Comment 8 hanya 2014-01-08 08:15:26 UTC
Fixed by the above commit. Not only for Writer, but also for all style dialog.
Comment 9 Edwin Sharp 2014-01-08 08:31:56 UTC
Thank you hanya